-------------------------------------------------------------------

     =========================================================
     Geant4 - an Object-Oriented Toolkit for Simulation in HEP
     =========================================================

                  Hadronic physics-list History
                  -----------------------------
This file should be used by the G4 example coordinator to briefly
summarize all major modifications introduced in the code and keep
track of all tags.

     ----------------------------------------------------------
     * Reverse chronological order (last date on top), please *
     ----------------------------------------------------------

25-08-2021 Dennis Wright (physics-lists-V10-07-02)
- completed name migration by replacing G4RadioactiveDecayBase with
  G4RadioactiveDecay everywhere in physics_lists (/lists, /constructors) 

16-04-2021 Ben Morgan (physics-lists-V10-07-01)
- Migrate build to modular CMake API

14-04-2021, Alberto Ribon (physics-lists-V10-07-00)
- Removed dependencies on hadronic/model/util and hadronic/model/management
  (that have been now deleted, with their classes moved to hadronic/util
   and hadronic/management).

23-09-2020, Ben Morgan (physics-lists-V10-06-00)
- Remove no longer required include_directories

09-09-2014, Witek Pokorski (physics_lists-V10-00-01)
- replacing explicite instantiation of cross sections by calls
to G4CrossSectionDataSetRegistry (using factory approach)

04-09-2014, Witek Pokorski (physics_lists-V10-00-00)
- Cosmetic clean-up, removing obsolete includes of cross-section headers.

16-07-2013, Gabriele Cosmo (physics_lists-V09-06-02)
- Correction to CMake scripts for granular build.

02-04-2013, Andrea Dotti (physics_lists-V09-06-01)
- Adaptation for MT with new G4VUserPhysicsList API, needed to share
  physics-list objects between threads.

12-03-2013, Gabriele Cosmo (physics_lists-V09-06-00)
- Grouping all tags for geant4-09-06-ref-03.
- NOTE: new tag format for top directory.
        To be tagged -only- for further reorganization and grouping.
        From now on only sub-modules should be tagged.

01-02-2013, V.Ivanchenko		(phys-lists-V09-06-04)
- Fixed GNUmakefile and add forgotten util directiory

13-12-2012, A.Ribon    		        (phys-lists-V09-06-03)
- Removed projectile diffraction (which uses CHIPS).
- Removed all obsolete physics lists and associated builders
  and physics constructors.

12-12-2012, M.Kelsey                    (phys-lists-V09-06-02)
- Remove LHEPStopping* builders, remove G4StoppingHadronBuilder in LHEP
  physics list, and replace obsolete stopping processes with builder in LBE.
  Prerequisite for removing obsolete stopping processes.

11-12-2012, V.Ivanchenko		(phys-lists-V09-06-01)
- G4HadronInelasticQBBC - removed CHIPS headers
- G4HadronElasticPhysics, G4HadronHElasticPhysics - substitute
    obsolete CHIPS classes

07-12-2012, V.Ivanchenko		(phys-lists-V09-06-00)
- G4EmDNAPhysicsChemistry - substituted obsolete interface
    SetModel() by SetEmModel()

23-11-2012, A.Ribon                     (phys-lists-V09-05-81)
- Included FTFP_BERT_HP in G4PhysListFactory

23-11-2012, A.Ribon                     (phys-lists-V09-05-80)
- Created the new physics list FTFP_BERT_HP

21-11-2012, B.Morgan        (phys-lists-V09-05-79)
- lists/sources.cmake - added G4GenericPhysicsList.icc file to
    header list, fixing issue reported by validate_sources target.

20-11-2012, V.Ivanchenko		(phys-lists-V09-05-78)
- G4IonPhysics - added old constructor to provide backward
    compatibility with 9.5 (CMS request)

06-11-2012, V.Ivanchenko		(phys-lists-V09-05-77)
- G4EmStandardPhysics_option4 - fixed typo - 2 ionisation for e+-

02-11-2012, V.Ivanchenko		(phys-lists-V09-05-76)
- G4EmLivermorePolarizedPhysics - fixed extra error

02-11-2012, V.Ivanchenko		(phys-lists-V09-05-75)
- G4EmLivermorePolarizedPhysics - fixed typo of previous tag

02-11-2012, V.Ivanchenko		(phys-lists-V09-05-74)
- In all EM builders use WentzelVI multiple scattering model
    for e+- above 100 MeV; build transport mean free path for
    He3 and He4, do not build for all other ions and heavy hadrons

01-11-2012, A.Ribon			(phys-lists-V09-05-73)
- Added proper treatment of light anti-ions in G4HadronQElasticPhysics.

01-11-2012, W.Pokorski			(phys-lists-V09-05-72)
- Instrumenting EM constructors to register factories

01-11-2012, A.Ribon			(phys-lists-V09-05-71)
- Added missing fission model in FTFP_BERT_TRV.
  Consistent treatment of _EMV, _EMX, and _EMY physics lists.

01-11-2012, W.Pokorski			(phys-lists-V09-05-70)
- Instrumenting hadronic constructors to register factories

31-10-2012, A.Ribon			(phys-lists-V09-05-69)
- Various small changes.

30-10-2012, W.Pokorski			(phys-lists-V09-05-68)
- moving Shielding to new XS

30-10-2012, W.Pokorski			(phys-lists-V09-05-67)
- moving QBBC, etc, to new XS

29-10-2012, W.Pokorski			(phys-lists-V09-05-66)
- moving QGSP_BERT to new XS

26-10-2012, W.Pokorski			(phys-lists-V09-05-65)
- second try with the new ion XS

25-10-2012, W.Pokorski			(phys-lists-V09-05-64)
- moving FTFP_BERT to use the agreed set of cross-sections

24-10-2012, W.Pokorski			(phys-lists-V09-05-63)
- moving FTFP_BERT to use BGGNucleonInelastic

20-10-2012, Vladimir Ivanchenko        (phys-lists-V09-05-62)
- EM builders - substitute obsolete method SetModel() by SetEmModel()
- G4VHadronPhysics - include name of the hadron in the name of the process
- G4HadronInelasticQBBC - reuse G4PreCompoundModel if it is already
    instantiated

19-10-2012, A. Ribon                    (phys-lists-V09-05-61)
- Created 4 new physics lists: QGSP_BERT_95, QGSP_BERT_95XS,
  QGSP_FTFP_BERT_95, QGSP_FTFP_BERT_95XS.

18-10-2012, A. Ribon			(phys-lists-V09-05-60)
- Replaced G4IonBinaryCascadePhysics with G4IonPhysics in some
  physics lists. Replaced also G4HadronicDeprecate with G4WarnPLStatus
  for physics lists.

17-10-2012, M. Karamitros               (phys-lists-V09-05-59)
- G4EmDNAPhysicsChemistry :
    Rename G4DNADiffusionControlledModel to G4DNASmoluchowskiReactionModel

17-10-2012, G. Cosmo                    (phys-lists-V09-05-58)
- Fixed typo in QGSP.hh header.

17-10-2012, A. Ribon			(phys-lists-V09-05-57)
- Added nuclear capture at rest of anti-nuclei with Fritiof/Precompound.

16-10-2012, A. Ribon			(phys-lists-V09-05-56)
- Changed default physics for stopping, lepto-nuclear, and ion.
  Only LHEP- and CHIPS-based physics lists keep using exactly
  the same physics as before, whereas all other physics lists
  migrate to the new default.
  Deprecated the physics lists that will be removed in G4 10.

15-10-2012, W.Pokorski			(phys-lists-V09-05-55)
- reverting the changes in FTFP_BERT (not using factories for the moment)

12-10-2012, W.Pokorski			(phys-lists-V09-05-54)
- another fix for GNUbuild (dependencies): moving registry to builders

12-10-2012, W.Pokorski			(phys-lists-V09-05-53)
- fixing the static builds and a bug introduced in the previous tag

12-10-2012, W.Pokorski			(phys-lists-V09-05-52)
- moving the templated factory class to builders directory to fix the
dependencies problem

11-10-2012, W.Pokorski			(phys-lists-V09-05-51)
- adding the factory machinery, adding the registry, implementing the
generic physics list, modifying FTFP_BERT to use the registry

04-10-2012, M. Kelsey			(phys-lists-V09-05-50)
- After discussion with J.Yarba and K.Genser, undo migration of
  G4MuonMinusCapture from V09-05-46: leave new version in
  G4bertiniAndFritiofStoppingPhysics, but nowhere else.  Keep migration to
  forward declarations.

04-10-2012, G.Cosmo			(phys-lists-V09-05-49)
- Replaced "photonlepton_nuclear" module with "lepto_nuclear" in CMake
  and GNUmake build scripts.

28-09-2012, V.Ivantchenko		(phys-lists-V09-05-48)
- G4EmStandardPhysics_option4 - new builder combining standard
    and low-energy as "the best combination"
- G4PhysListFactory - added EM opt4
- G4EmStandardPhysics_option3, G4EmLivermorePhysics - fixed variable
    shadowing and cleanup

27-09-2012, G.Cosmo			(phys-lists-V09-05-47)
- Explicitly use inclusion of headers for system of units and physical
  constants, in plan to remove implicit inclusion from globals.hh.

21-09-2012, M.Kelsey			(phys-lists-V09-05-46)
- Replace G4MuonMinusCaptureAtRest with G4MuonMinusCapture everywhere:
  G4BertiniAndFritiofStoppingPhysics, G4QStoppingPhysics
  G4LHEPStoppingPhysics, G4StoppingHadronBuilder, LBE.icc
  Also, move #includes from .hh to .cc above to reduce compile dependencies.

17-09-2012, S.Incerti			(phys-lists-V09-05-45)
- Created physics builder G4EmLowEPPhysics to take into account renamed
  Monash U. Compton model, and removed G4EmLivermoreMUPhysics builder.

23-08-2012, D.Mancusi                  (phys-lists-V09-05-44)
- Fixes Coverity warning in INCL++ ion builder.

27-07-2012, Vladimir Ivanchenko        (phys-lists-V09-05-43)
- G4EmPenelopePhysics, G4EmStandardPhysics_option3,
  G4EmLivermorePhysics,  G4EmPenelopePolarizedPhysics -
    added upper limit 1 MeV for nuclear stopping for CPU performance

27-07-2012, Vladimir Ivanchenko        (phys-lists-V09-05-42)
- Substitute G4WHadronElasticPhysics by G4HadronElasticPhysics in
    all elastic builders
- G4EmStandardPhysics, G4EmStandardPhysics_option1 - use WentzelVI
    for pions and kaons
- G4EmStandardPhysics_option2 - add Rayleigh scattering
- G4EmStandardPhysics_option3, G4EmLivermorePhysics,
  G4EmPenelopePhysics - added nuclear stopping for protons and
    anti_protons, romove upper energy limit for Rayleigh

27-07-2012, Alberto Ribon              (phys-lists-V09-05-41)
- Replaced (removed) G4QandFTFStoppingPhysics with the new class
  G4BertiniAndFritiofStoppingPhysics in FTFP_BERT and FTFP_BERT_TRV.

26-07-2012, Alberto Ribon              (phys-lists-V09-05-40)
- Coverity fixes in HadronPhysicsQGSP_BERT_HP, adding some
  missing initialization.

16-07-2012, Gunter Folger              (phys-lists-V09-05-39)
- coverity fixes in G4ChipsKaonBuilder.hh, adding private copy
   and assignment operator.

13-07-2012, M.Karamitros               (phys-lists-V09-05-38)
- Update G4EmDNAPhysicsChemistry : molecules' names changed

09-07-2012, A.Ribon                    (phys-lists-V09-05-37)
- Fixed a few forgotten changes to remove INCL builders.

09-07-2012, A.Ribon                    (phys-lists-V09-05-36)
- Removed INCL builders.

09-07-2012, D.Mancusi                  (phys-lists-V09-05-35)
- Fixes Coverity warnings in INCL++ ion builder.

06-07-2012, A.Ribon                    (phys-lists-V09-05-34)
- Fixed warnings of shadowed variables.

06-07-2012, A.Ribon                    (phys-lists-V09-05-33)
- Removed obsolete physics list QGSP_INCL_ABLA
  (leaving only QGSP_INCLXX).

26-06-2012, A.Ribon                    (phys-lists-V09-05-32)
- For nuclear capture at rest in both FTFP_BERT and FTFP_BERT_TRV,
  use Bertini for pi-, K-, and Sigma-; FTF/Preco for anti-proton
  and anti-Sigma+; removed CHIPS for Xi- and Omega-.

25-06-2012, A.Ribon                    (phys-lists-V09-05-31)
- Fixed incorrect class used for Bertini gamma-nuclear.

22-06-2012, W.Pokorski                 (phys-lists-V09-05-30)
- fixing incorrect classes used for gamma- and electro-nuclear

20-06-2012, P.Gumplinger               (phys-lists-V09-05-29)
- remove everything to do with SetModel in G4OpBoundaryProcess
  to cowork with op-V09-05-04

12-06-2012, W.Pokorski                 (phys-lists-V09-05-28)
- Migrating Elastic and DElastic builders to use factory
mechanism for Chips cross sections

11-06-2012, W.Pokorski                 (phys-lists-V09-05-27)
- Migrating FTFP_BERT and FTFP_BERT_TRV to use factory
mechanism for Chips cross sections

06-05-2012, V.Ivanchenko               (phys-lists-V09-05-26)
- Return back EM builders to  phys-lists-V09-05-23, because no
  visible effect on CPU was observed

05-05-2012, V.Ivanchenko               (phys-lists-V09-05-25)
- Build transport cross section tables for d and t in standard opt0

05-05-2012, V.Ivanchenko               (phys-lists-V09-05-24)
- Build transport cross section tables for He3 and He4 in standard opt0

03-06-2012, Witek Pokorski            (phys-lists-V09-05-23)
- using the new functionality of cross sections registry allowing
to share the cross sections data sets

30-05-2012, Witek Pokorski            (phys-lists-V09-05-22)
- created new builders using Bertini gamma nuclear
- migrated FTFP_BERT to use the new builders

25-05-2012, Gunter Folger              (phys-lists-V09-05-21)
- improve creation of cascade to avoid one instantiation of Preco in
   G4FTFP{Proton,Neutron,PiK,AntiBarion}Builder.cc

24-05-2012, D. Mancusi                 (phys-lists-V09-05-20)
- Updates the INCLXX builders for compatibility with the latest INCL++ tag.
- Requires hadr-inclxx-V09-05-13.

22-05-2012, D.H. Wright                (phys-lists-V09-05-19)
- in G4EmExtraPhysics.hh, .cc, change name of class G4VDMuonNuclearModel
  to G4MuonVDNuclearModel.  Requires tag hadr-munuclear-V09-05-03.

21-05-2012, M.Kelsey
- G4QandFTFStoppingPhysics: Use general G4HadronicAbsorptionBertini.
  Requires use of hadronic/stopping MHK-20120521.

18-05-2012, V.Ivanchenko               (phys-lists-V09-05-18)
- In all EM builders modified method of instantiation of
  multiple scattering: the same process instance is used by mu+ and mu-,
  for pi+,pi-,K+,K-,proton and anti_protons separate processes which
  build internal transport x-section tables, for all others the same
  process instance is used and no table is built; this should reduce
  total memory for tables and initialisation time;
- In standard builders Opt0, Opt1, Opt2 WentzelVI multiple
  scattering and G4eCoulombScattering models are applied for
  e+ and e- above 100 MeV , below G4UrbanMscModel95 is used

14-05-2012, W. Pokorski                (phys-lists-V09-05-17)
- moving FTFP_BERT_TRV to new Chips XS

11-05-2012, W. Pokorski                (phys-lists-V09-05-16)
- fixing compilation error in HadronPhysicsFTFP_BERT

11-05-2012, W. Pokorski                (phys-lists-V09-05-15)
- moving to the new XS extracted from CHIPS

11-05-2012, D. Mancusi                 (phys-lists-V09-05-14)
- Added builders and updated QGSP_INCLXX physics list to treat
  light-ion-induced collisions with INCL++.

04-05-2012, A. Dotti		       (phys-lists-V09-05-13)
- Co-working tag with emdna-V09-05-09

04-05-2012, A. Dotti		       (phys-lists-V09-05-12)
- Coverity fixes

02-05-2012, G.Folger                   ( ..trunk.. )
- revert changes by Mikhail ( revs: r58248, r58249,r58250 )

28-04-2012, M.Kosov                    (phys-lists-V09-05-11)
- chips is moved from models/chiral_inv_phase_space to hadronic/chips

25-04-2012, M.Kosov                    (phys-lists-V09-05-10)
- sources.cmake files ure updated in lists & builders for CHIPS_HP

25-04-2012, T.Koi
- HadronPhysicsShielding: fixed problem in neutron cross-section for
  inelastic reaction below 20MeV.

23-04-2012, M.Kosov                    (phys-lists-V09-05-09)
- Added new CHIPS_HP physics list

06-04-2012, S.Incerti                  (phys-lists-V09-05-08)
- Added new Physics constructor G4EmLivermoreMUPhysics

05-04-2012, A.Ribon                    (phys-lists-V09-05-07)
- In G4QandFTFStoppingPhysics the annihilation at rest of anti_sigma+
  are now handled by FTF.

02-04-2012, G.Cosmo                    (phys-lists-V09-05-06)
- Corrected GNUMakefile in "lists" for spurious inclusion path.

19-03-2012, V.Ivanchenko               (phys-lists-V09-05-05)
- previous tag was rejected by mistake

15-03-2012, V.Ivanchenko               (phys-lists-V09-05-04)
- In all EM builders use the same bremsstrahlung and e+e- pair
    production processes to mu+/mu-, pi+/pi-, K+K-, proton/anti_proton;
    expected reduction of memory for physics tables and initialisation
    time for EM physics

01-03-2012, V.Ivanchenko               (phys-lists-V09-05-03)
- Fixed Coverity warnings in G4HadronInelasticQBBC, all elastic builders,
  all ion builders, G4NeutronTrackingCut, G4StepLimiterBuilder;
- G4HadronInelasticQLHEP - remove obsolete

22-02-2012, V.Ivanchenko               (phys-lists-V09-05-02)
- G4IonBinaryCascadePhysics, G4IonFTFPBinaryCascadePhysics - Tripathi
    cross sections are commented out, only Shen and Ion/proton are used

23-01-2012 M.Karamitros                (phys-lists-V09-05-01)
- change G4WaterExcitation -> G4DNAWaterExcitation in G4EmDNAPhysicsChemistry

- G4FTFBuilder, G4QandFTFStoppingPhysics - reduced number of deleted
    objects to avoid double deletion

18-01-2012, V.Ivanchenko               (phys-lists-V09-05-00)
- Do not delete G4ExcitationHandler in hadronic builders to avoid
  double deletion

18-11-2011, V.Ivanchenko               (phys-lists-V09-04-74)
- fix in all EM builders - return back old method of definition of
  high energy model per particle type, new method provoke
  enegry non-conservation in hadron calorimetery

15-11-2011, G.Folger                   (phys-lists-V09-04-73)
-  lists/*/HadronPhysicsFTF_BIC: fix bug wrongly deleting theCHIPSInelastic
    and remove theCHIPSInelastic as data-member.

12-11-2011, V.Ivanchenko               (phys-lists-V09-04-72)
- G4HadronElasticXS - use G4BGGHadronElasticXS proton cross section

10-11-2011, M.Karamitros               (phys-lists-V09-04-71)
- Add comments into EmDNAPhysChem builder
- Make transparent the use of ITStepMan from outside the builder

10-11-2011, G.Folger                   (phys-lists-V09-04-70)
- correct builders/source.cmake for new classes
- G4DataQuestionaire: fix typo in new abla part; replace G4cout by
	G4ExceptionDescription
- QGSP_BERT_ENV: add missing #include "G4QWarnStatus.hh"

10-11-2011,M.Karamitros                (phys-lists-V09-04-69)
- Correct another typo in the process name DNAElectronSolvatation

10-11-2011, V.Ivanchenko               (phys-lists-V09-04-68)
- G4PhysListFactory - fixed printout

09-11-2011, V.Ivanchenko               (phys-lists-V09-04-67)
- QBBC - cleanup of the code
- G4HadronInelasticQBBC - use CHIPS x-sections for kaons

09-11-2011, G.Folger                   (phys-lists-V09-04-66)
- implement changes of supportlevel:
   mark unsupported: QGSP_BERT_NOLEP, QGSP_BERT_TRV,
   make supported:   Shielding
   mark experimental:  CHIPS
- EM variants (EMV, EMX, EMY) are now available only from
    physics list factory, with the exception of FTFP_BERT_EMV
	and QGSP_BIC_EMY. The following now raise G4Exception explaining
	to the user what he needs to do:
	  FTFP_BERT_EMX, QGSP_BERT_EMX, QGSP_BERT_EMV
- FTF_BIC: remove use of LEP for Kaons; this required new builders
	  G4KaonBuilder, G4FTFBinaryPionBuilder,  G4FTFBinaryKaonBuilder,
	  G4BinaryPionBuilder, G4BertiniKaonBuilder
- G4DataQuestionaire: updated for use more datasets.
- updated lists to ask for check datasets needed:
	QGSP_BIC_HP, Shielding, QGSP_BERT_EMV, QGSP_INCL_ABLA

08-11-2011, P.Gumplinger               (phys-lists-V09-04-65)
- changes to G4OpticalPhysics and G4OpticalPhysicsMessenger
  to avoid dynamic_cast

08-11-2011, V.Ivanchenko               (phys-lists-V09-04-64)
- Removed He3 from elastic builders, because cross section is
  still unavailable
- G4PhysListFactory - implemented selection of EM builder via
  Physics List name
- QBBC - cleanup printout and use default EM builder
- G4HadronInelasticQBBC - use Bertini up tp 12 GeV,
    FTFP - down to 3 GeV

04-11-2011, M.Karamitros               (phys-lists-V09-04-63)
- Add History description

04-11-2011, M.Karamitros               (phys-lists-V09-04-62)
- Add G4DNAEmPhysicsChemistry builder

04-11-2011, P.Gumplinger               (phys-lists-V09-04-60)
- change static_cast to dynamic_cast in G4OpticalPhysicsMessenger
  this is a bug fix - of an old bug!

04-11-2011, T.Koi                      (phys-lists-V09-04-59)
-Fix Xcode warning
	builders/include/G4NeutronLENDBuilder.hh
	builders/src/G4NeutronLENDBuilder.cc

03-10-2011, V.Ivanchenko               (phys-lists-V09-04-58)
- Updated mu+-, pi+-, kaon+-, configuration reusing the same
  bremsstrahlung and pair production models for particle and
  anti-particle; by this some memory is saved and expected reduction
  of initialisation time

02-11-2011, P.Gumplinger               (phys-lists-V09-04-57)
- Add class G4StepLimiterBuilder to /builders

01-11-2011, P.Gumplinger               (phys-lists-V09-04-56)
- Add SetFiniteRiseTime to G4OpticalPhysics and
  G4OpticalPhysicsMessenger

01-11-2011, S.Incerti                  (phys-lists-V09-04-55)
- Further extended G4EmDNAPhysics builder to the handling of HZE
- to be used on top of tag emdna-V09-04-36

27-10-2011, P.Kaitaniemi               (phys-lists-V09-04-54)
- Added new physics list QGSP_INCLXX and assosiated builders
- Uses INLC++ for protons, neutrons and pions in the energy
  range 0 - 3 GeV
- This tag requires hadr-inclxx-V09-04-03 (or later)

21-10-2011, S.Incerti                  (phys-lists-V09-04-53)
- Extended G4EmDNAPhysics builder to the handling of HZE
- to be used on top of tag emdna-V09-04-25

21-10-2011, V.Ivanchenko               (phys-lists-V09-04-52)
- G4EmStandardPhysics_option1 - use UrbanMsc95
- G4EmStandardPhysics_option2 - copy of Opt1 with UrbanMsc93
- G4HadronElasticBuilder - He3 x-section from the new AntiNuclei class
                           to avoid crash in GHEISHA x-sections
- G4HadronDElasticBuilder - x-sections from CHIPS, Diffuse model
- G4HadronHElasticBuilder - alternative x-sections and models

18-10-2011, A. Ribon            (phys-lists-V09-04-51)
- Fixed small mistake in builders/sources.cmake.

18-10-2011, A.Ribon             (phys-lists-V09-04-50)
- Changed FTFP_BERT_TRV to use Fritiof for the nuclear capture of
  anti-protons at rest. Introduced the class G4QandFTFStoppingPhysics.

14-10-2011, P.Gumplinger        (phys-lists-V09-04-49)
- modify G4OpticalPhysicsMessenger so that: /optics_engine/setOpProcessVerbose
  and /optics_engine/setTrackSecondariesFirst work in G4State_PreInit
  required changing the signature of: G4OpticalPhysics::SetProcessVerbose

05-10-2011, G.Cosmo             (phys-lists-V09-04-48)
- Added missing header in builders/sources.cmake introduced in tag -45.

04-10-2011, P.Gumplinger        (phys-lists-V09-04-47)
- builders: G4OpticalPhysicsMessenger modified to allow G4State_PreInit
            for most commands

03-10-2011, T.Koi               (phys-lists-V09-04-46)
- Enable to change the default data library of LEND
	builders/include/G4HadronElasticPhysicsLEND.hh
	builders/include/G4NeutronLENDBuilder.hh
	builders/src/G4HadronElasticPhysicsLEND.cc
	builders/src/G4NeutronLENDBuilder.cc
	lists/include/Shielding.icc
	lists/include/HadronPhysicsShielding.hh
	lists/src/HadronPhysicsShielding.cc

30-09-2011, P.Gumplinger               (phys-lists-V09-04-45)
- builders: G4OpticalPhysics, G4OpticalPhysicsMessenger modified
            G4OpticalProcessIndex class added
            fix bug report #1216

14-09-2011, V.Ivanchenko               (phys-lists-V09-04-44)
- G4EmStandardPhysics_option1,2 - pi+-, kaon+-, proton, anti_proton
      use WentzelVI model of multiple scattering
- G4EmStandardPhysics_option2 - e- use Livermore bremsstrahlung
      below 100 MeV

05-09-2011, A.M., M.K., S.I.         (phys-lists-V09-04-43)
- Updated sources.cmake in builders for new dna architecture

31-08-2011, A.M., M.K., S.I.         (phys-lists-V09-04-42)
- Updated builders/GNUmakefile and builders/sources.cmake
for new DNA architecture. Must be applied on top of tag emdna-V09-04-19

24-08-2011, S. Incerti               (phys-lists-V09-04-41)
- G4EmDNAPhysics - changed elastic scattering model

22-08-2011, V.Ivanchenko               (phys-lists-V09-04-40)
- G4ChargeExchangePhysics - removed obsolete header

01-08-2011, G.Folger                      (phys-lists-V09-04-39)
- In HadronPhysicsFTFP_BERT_TRV, change overlap BERT/FTFP to be
   from 3 to 12 GeV, affecting FTFP_BERT_TRV.

14/20-07-2011, G.Folger                   (phys-lists-V09-04-38)
- Add in lists class PhysListUtil. Contains a single function
     FindInelasticProcess(), up to now implemeted multiple times
- HadronPhysicsFTFP_BERT_TRV: update to use FTF for antibarions and
     Hyperons, and to use CHIPS cross-sections for Hyperons and Kaons.
     This make it identical to HadronPhysicsFTFP_BERT, except the
     transition energy.
- HadronPhysicsQGSP_FTFP_BERT:update to use FTFP for hyperons
    using G4HyperonFTFPBuilder
- HadronPhysicsFTF_BIC: No longer using LEP for "misc" particles,
   but use FTFP for:
    - Antibarions using G4FTFPAntiBarionBuilder
    - Hyperons using G4HyperonFTFPBuilder
   and switch to CHIPS cross-section for kaons.

13-07-2011, V.Ivanchenko               (phys-lists-V09-04-37)
- G4HadronDElasticPhysics - is done coherently with the
  modifications in G4DiffuseElastic class

13-07-2011, V.Ivanchenko               (phys-lists-V09-04-36)
- Fixed typo in previous tag

08-07-2011, V.Ivanchenko               (phys-lists-V09-04-35)
- G4EmStandardPhysics, G4EmStandardPhysics_option1
- G4EmStandardPhysics_option2, G4EmStandardPhysics_option3,
- G4EmLivermorePhysics, G4EmPenelopePhysics - set msc polar
  angle limit from 0.2 to pi (reduction of number of steps for
  low-energy muons/hadrons)

21-06-2011, B.Morgan                   (phys-lists-V09-04-34)
- builders/CMakeLists.txt - removed install of OrderingParameterTable
- builders/sources.cmake - Added include of EXPAT headers for lend.
- lists/sources.cmake - Added include of EXPAT headers for lend.

20-06-2011, V.Ivanchenko               (phys-lists-V09-04-33)
- G4EmStandardPhysics_option2 - use relativistic bremsstrahlung for
    all energies (EM shower shape issue)
- G4EmLivermorePhysics, G4EmLivermorePolarizedPhysics,
  G4EmPenelopePhysics - use UrbanMscModel95 for e+-

18-06-2011, B.Morgan                   (phys-lists-V09-04-32)
- builders/CMakeLists.txt - added install of OrderingParameterTable.

14-06-2011, V.Ivanchenko               (phys-lists-V09-04-31)
- G4HadronElasticPhysics - added LHEP model for anti-nuclei below 100 MeV

13-06-2011, G.Folger                   (phys-lists-V09-04-30)
-  fix several small bugs in G4HyperonFTFPBuilder.cc

10-06-2011, G.Folger                   (phys-lists-V09-04-29)
Make use of new features of FTF in FTFP_BERT, and (less) in QGSP_FTFP_BERT:
- Add Builder for Hyperons using FTF and Bertini as models,
   G4HyperonFTFPBuilder.{hh,cc}
- G4FTFPAntiBarionBuilder.cc: delete cross-section objects
- HadronPhysicsFTFP_BERT:
    + use G4HyperonFTFPBuilder, replacing G4MiscCHIPSBuilder
    + use/add G4FTFPAntiBarionBuilder for anti barions,
- FTFP_BERT.icc and QGSP_FTFP_BERT.icc uses new IonFTFPBinaryPhysics,
    replacing LHEP IonPhysics and IonBinaryPhysics, resp.

- update builders/sources.cmake for new files.


10-06-2011, V.Ivanchenko               (phys-lists-V09-04-28)
- G4IonFTFPBinaryCascadePhysics - set transition 2-4 GeV
- G4HadronInelasticQBBC - added destruction of anti-nuclei cross
    section component
- G4DecayPhysics, G4RadioactiveDecayPhysics - use G4PhysicsListHelper

09-06-2011, L.Pandola
- G4EmPenelopePhysics - added activation of deexcitation

09-06-2011, P. Kaitaniemi              (phys-lists-V09-04-27)
- QGSP_INCL_ABLA: Enabled INCL/ABLA treatment for GenericIons in
	G4IonInclAblaPhysics builder

08-05-2011, V.Ivanchenko               (phys-lists-V09-04-26)
- Fixed GNUmakefile and source.cmake for LEND

07-05-2011, V.Ivanchenko               (phys-lists-V09-04-25)
- Added G4BuilderType.hh file with enumerator of builder type
- For all EM and Ion builders added type

06-05-2011, V.Ivanchenko               (phys-lists-V09-04-24)
- Updated GNUmakefile and source.cmake for LEND

04-05-2011, V.Ivanchenko               (phys-lists-V09-04-23)
- G4HadronElasticPhysics - use G4AntiNuclElastic model and
   G4ComponentAntiNuclNuclearXS
- G4HadronInelasticQBBC - use FTFP for all anti-baryons,
   energy interval FTFP above 2 GeV, Bertini - below 6 GeV
- G4HadronElasticPhysicsXS, G4HadronElasticPhysicsHP,
  G4HadronElasticPhysicsLEND - use G4HadronElasticPhysics for all
  particles and modified only neutron models and cross sections
- G4PhysListFactory - added "ShieldingLEND"
- G4EmLivermorePhysics, G4EmLivermorePolarizedPhysics, G4EmDNAPhysics -
    added deexcitation

02-06-2011, T.Koi
- Add LEND builders
- Enable to use LEND model and cross section
  for low energy neutron in Shielding physics list
  (Default is still neutron HP package)
- Add G4RadioactiveDecayPhysics to Shielding physics list

20-05-2011, S.Incerti                  (phys-lists-V09-04-22)
- following Vladimir, EM low energy + DNA builders are migrated to the
  new approach based on G4PhysicsListHelper
  - no integer numbers to identify process order is needed anymore

19-05-2011, V.Ivanchenko               (phys-lists-V09-04-21)
- EM standard builders are migrated to the new approach based on
  G4PhysicsListHelper - no integer numbers to identify process
  order is needed anymore

03-05-2011, D.H. Wright                (phys-lists-V09-04-20)
- modify builder G4EmExtraPhysics so that it uses new muon-nuclear
  model and process

03-05-2011, H.Kurashige                (phys-lists-V09-04-19)
- Add OrderingParameterTable for G4PhysicsListHelper

27-04-2011, V.Ivanchenko               (phys-lists-V09-04-18)
- G4HadronInelasticQBBC - comment out QGSP model to avoid crash due double
  model definition for the same energy range (bug was introduced in -16)

26-04-2011,G.Folger                    (phys-lists-V09-04-17)
- In QGSP_FTFP_BERT use G4IonBinaryCascadePhysics inplace of G4IonPhysics

21-04-2011, V.Ivanchenko                (phys-lists-V09-04-16)
- G4IonFTFPBinaryCascadePhysics - fixed run time bugs

21-04-2011, V.Ivanchenko                (phys-lists-V09-04-15)
- G4EmStandardPhysics_option3 - activate Rayleigh Scattering
- G4IonFTFPBinaryCascadePhysics - added new builder
- QBBC - use new G4IonFTFPBinaryCascadePhysics
- G4HadronElasticPhysics93 is removed as obsolete
- G4HadronQElasticPhysics substitute G4UHadronElasticProcess by
  G4WHadronElasticProcess
- G4QElasticPhysics - removed unused header of G4UHadronElasticProcess

28-03-2011, V.Ivanchenko                (phys-lists-V09-04-14)
- G4EmStandardPhysics_option3 - instead of deactivation of
  Rayleigh Scattering used G4DummyModel

28-03-2011, G.Folger                    (phys-lists-V09-04-13)
- Fix coverity issues in many files; most were uninitialised data
    members for processes/models. LBE not fixed, requires bigger
    rework to avoid leaks for processes at program end.
- Correct inclusion of G4UrbanMscModel95

24-03-2011, V.Ivanchenko                (phys-lists-V09-04-12)
- G4EmStandardPhysics_option3, G4EmStandardPhysics_option2 - use
    updated G4UrbanMscModel95 model for e+-

23-03-2011, V.Ivanchenko                (phys-lists-V09-04-11)
- G4EmStandardPhysics_option3 - experimental change of of options:
      - reduced low-energy limit to 10 eV,
      - reduced StepFunction parameters per particle type,
      - added G4RayleighScattering inactive by default.

23-03-2011, G.Cosmo                     (phys-lists-V09-04-10)
- Added missing source file in sources.cmake builders list.

17-03-2011, G.Cosmo                     (phys-lists-V09-04-09)
- Added electromagnetic/dna module dependencies.
- Coworks with tags "processes-V09-04-00" and "config-V09-04-01"

17-03-2011, V.Ivanchenko                (phys-lists-V09-04-08)
- G4HadronElasticPhysicsHP, G4HadronElasticPhysicsXS - added
    anti_nuclei, reshape the code as in G4HadronElasticPhysics
- G4HadronElasticPhysicsLHEP - use G4WHadronElasticProcess which
    allowing not to kill primary after scattering

10-03-2011, G.Folger                    (phys-lists-V09-04-07)
- Use default energy limit for antibaryons, i.e. up o 100 TeV

10-03-2011, G.Folger                    (phys-lists-V09-04-06)
- Add antiTriton to antibarions

26-02-2011, G.Folger                    (phys-lists-V09-04-05)
- correct energy limit for antibarions

24-02-2011, V.Ivanchenko                (phys-lists-V09-04-04)
- G4HadronElasticPhysics - added light anti-nuclei
- G4FTFPAntiBarionBuilder - added cross section to light anti-nuclei

23-02-2011, J.Apostolakis
- Added builders for anti-deuteron, anti-triton, anti-He and anti-Alpha
- Revised QGSP_FTFP_BERT to utilise the new FTF/P processes
   changing them for anti-proton, anti-neutron
   adding them also for the above list of light anti-ions (d,t,He3,alpha).

16-02-2011, S.Incerti                    (phys-lists-V09-04-03)
- Added process names in G4EmDNAPhysics.cc

14-02-2011, G.Folger             (phys-lists-V09-04-02 and phys-lists-V09-03-45)
- Shielding PL corrected .icc file to include correct G4HadronElasticPhysicsHP

05-01-2011, G.Folger             (phys-lists-V09-04-01 and phys-lists-V09-03-44)
- QGSP_BERT_NOLEP and QGSP_QEL were missing the include
   for G4HadronQElasticPhysics.hh, but included G4HadronElasticPhysics

19-12-2010, V.Ivanchenko                (phys-lists-V09-04-00)
- G4EmStandardPhysics_option1 - fixed missing line defing polar
  angle limit (in the release single scattering of muons providing
  significant CPU penalty)

25-11-2010, S.Incerti                   (phys-lists-V09-03-43)
- changed default elastic model in G4EmDNAPhysics.cc

22-11-2010, G.Folger                    (phys-lists-V09-03-42)
-  Fix bug in QGSP_BERT_CHIPS physics list, Kaon cross sections are in CHIPS
     process, not in hadronic framework.

22-11-2010, G.Folger                    (phys-lists-V09-03-41)
-  Fix bug in new G4CHIPSKaonBuilder

21-11-2010, V.Ivanchenko                (phys-lists-V09-03-40)
- G4EmStandardPhysics_option1 - enable back ApplyCuts option (CPU effect)
- G4EmStandardPhysics_option2, G4EmStandardPhysics_option3 - minor cleanup
- QGS_BIC: using G4NeutronCrossSectionXS
- QBBC:

19-11-2010, V.Ivanchenko                (phys-lists-V09-03-39)
- G4PhysListFactory - removed obsolete Physics Lists (26 are supported)
- QBBC - simplified, only one variant left;
- G4HadronInelasticQBBC - simplified
- QGS_BIC and FTF_BIC use G4NeutronXS cross sections

18-11-2010, G.Folger, V.Ivanchenko      (phys-lists-V09-03-38)
GF:
- use crosssection with relativistic rise also in all G4QGSBinary, FTFP and
   FTFBinary builders.
- restore QGSP to be obsolete, not unusable, i.e. remove G4Exception.
- allow to seperate physics for pion and Kaon, i.e. seperate builders
   G4{V,}{Pion,Kaon}Builder, G4{LEP,Bertini, QGSP}PionBuilder, and
   G4ChipKaonBuilder.
- in QGSP_BERT_CHIPS, use Chip G4QInelastic via G4ChipKaonBuilder for Kaons.
- delete physics lists:
  - remove previously blocked lists (FTFP_EMV, QGSC_EFLOW, QGSP_EMX)
  - remove obsolete lists, except QGSP ( now blocked) and QGSC_CHIPS,
   ie. removed FTFC, FTFP, LHEP_BERT_HP, LHEP_BERT, LHEP_PRECO_HP,
    QGSC_EMV, QGSC, QGSC_QGSC, QGSP_BERT_DIF, QGSP_BERT_NQE,
    QGSP_DIF, QGSP_EMV, QGSP_EMV_NQE, QGSP_NQE, QGSP_QE
V.I:
- G4EmStandardPhysics_option1 - added WentzelVI model for muons;
    disable ApplyCut option for compatibility with 9.2; this option
    can be defined by user via UI command or G4EmProcessOptions class

17-11-2010, G.Folger                    (phys-lists-V09-03-37)
- in builders G4QGSP{Proton, Neutron,Pik}Builder, use crosssection with
   relativistic rise, using a combination of previously used cross section
   and G4GlauberGribovCrossSection above 91 GeV.

10-11-2010, V.Ivanchenko                (phys-lists-V09-03-36)
- G4EmStandardPhysics_option2 - added BS angular generator for
    bremsstrahlung, use default msc model for e+-
- G4EmStandardPhysics_option3 - comment out Raylaigh to have better
    CPU performance
- G4EmLivermorePolarizedPhysics - F.Longo provided updated
    models

08-11-2010, S.Incerti                   (phys-lists-V09-03-35)
-  switched elastic model in G4DNA physics builder

03-11-2010, P.Gumplinger                (phys-lists-V09-03-34)
-  correctly implement the new option SetScintillationByParticleType
   in G4OpticalPhysics

02-11-2010, P.Gumplinger                (phys-lists-V09-03-33)
-  Make ConstructProcess and ConstructParticle methods public
   in G4OpticalPhysics

28-10-2010, P.Gumplinger                (phys-lists-V09-03-32)
-  Add SetScintillationByParticleTypeCmd and associated methods

23-10-2010, P.Gumplinger                (phys-lists-V09-03-31)
-  Add the G4OpMieHG scattering process to G4OpticalPhysics builder

20-10-2010, L.Pandola                   (phys-lists-V09-03-30)
- updated physics list LBE to comply with the new EM design
  (use Livermore models rather than LowEnergy processes)

20-10-2010, L.Pandola                   (phys-lists-V09-03-30)
- updated physics list LBE to comply with the new EM design
  (use Livermore models rather than LowEnergy processes)

10-10-2010, V.Ivanchenko                (phys-lists-V09-03-29)
- anti_deuteron, anti_triton, anti_alpha, anti_He3 are included
  in all builders except DNA
- G4EmStandardPhysics - WentzelVI model for multiple scattering and
             G4CoulombScattering process for muons are added
- G4EmStandardPhysics_option2 - WentzelVI model for multiple scattering
             is added for pi+-, kaon+-, protons, single scattering
             model is not added, because hadron elastic process
             should be used

08-10-2010, S. Incerti                  (phys-lists-V09-03-28)
- Added new H excitation model to G4EmDNAPhysics.cc in builders

30-09-2010, G.Folger                    (phys-lists-V09-03-27)
-  Further Bug fix in G4IonQMDPhysics: use QMD for d, alpha

24-09-2010, V.Ivanchenko                (phys-lists-V09-03-26)
- G4HadronElasticPhysics - attempt to use exactly the same cross section
                           for p and n as in 9.4beta

23-09-2010, V.Ivanchenko                (phys-lists-V09-03-25)
- G4HadronElasticPhysics, G4HadronElasticPhysicsHP - added CHIPS cross
  sections for p and n on Hydrogen and Helium targets
- G4PhysicsListFactory - return NULL if the name is wrong

09-09-2010, S.Incerti                   (phys-lists-V09-03-24)
- Added new e- G4DNA processes to G4EmDNAPhysics.cc in builders

30-08-2010, G.Folger                    (phys-lists-V09-03-23)
-  Bug fix in G4IonQMDPhysics: wrong energy limit for overlap with BIC

25-08-2010, G.Folger                    (phys-lists-V09-03-22)
-  Correct obsolete ctor of G4HadronElasticPhysics in header

24-08-2010, V.Ivanchenko (phys-lists-V09-03-21)
-  don't use

17-08-2010, V.Ivanchenko (phys-lists-V09-03-20)
- Obsolete G4ParticleWithCut.hh header removed from many .icc files
  by H.Kurashige

30-07-2010, V.Ivanchenko (phys-lists-V09-03-19)
- In all EM builders use G4ionIonisation for He3 and He4 ions

29-07-2010, V.Ivanchenko (phys-lists-V09-03-18)
- G4IonBinaryCascadePhysics - added G4IonProtonCrossSection

29-07-2010, V.Ivanchenko (phys-lists-V09-03-17)
- G4DataQuestionaire - for optical physics G4REALSURFACEDATA is checked
  instead of G4LEDATA (bug report #1125), the check is disabled, because
  not clear if this dataset is mandatory or not; check on new
  G4NEUTRONXSDATA is added
- QBBC - added check on G4NEUTRONXSDATA, use G4HadronElasticPhysics
- G4NeutronCrossSectionXS - added check on G4NEUTRONXSDATA
- G4HadronElasticPhysics renamed to G4HadronElasticPhysics93
- G4HadronHElasticPhysics is copied to G4HadronElasticPhysics
- QGSP_BERT_EMV use G4HadronElasticPhysics instead of G4HadronHElasticPhysics
- G4HadronHElasticPhysics is marked as obsolete

19-06-2010, V.Ivanchenko (phys-lists-V09-03-16)
- G4FTFPNeutronBuilder, G4FTFPPiKBuilder, G4FTFPProtonBuilder,
  G4QGSPNeutronBuilder, G4QGSPPiKBuilder, G4QGSPProtonBuilder
  G4QGSBuilder - added deletion of G4ExcitationHandler, G4QGSMFragmentation
  HadronPhysicsQGSP_BERT, HadronPhysicsFTFP_BERT,
  HadronPhysicsQGSP_FTFP_BERT - added deletion of neutron builder

11-06-2010, G.Folger                    (phys-lists-V09-03-15)
- fix compilation error in G4QPhotoNuclearPhysics

11-06-2010, G.Folger                    (phys-lists-V09-03-14)
- tag changes of Vladimir & Mikhail

11-06-2010, V.Ivanchenko
- G4EmStandardPhysics_option2 - RangeFactor for e+- is set to 0.04

10-06-2010, M. Kosov                            (*** Not tagged ***)
reset of theParticleIterator in G4QPhotoNuclearPhysics

08-06-2010, G.Folger                    (phys-lists-V09-03-13)
-  Add Shielding list together with Tatsumi. This list is:
    - based on FTFP_BERT
    - using IonQMDPhysics, instead of LHEP ion physics
    - Neutron_HP
    - and Barashenkov + Glauber Gribov cross section via G4BGGNucleonInelasticXS
       for neutron and proton
    - and JENDL HE cross sections for neutrons

08-06-2010, G.Folger                    (phys-lists-V09-03-12)
-  3 more fixes for compilation warnings on unused variables.

07-06-2010, G.Folger                    (phys-lists-V09-03-11)
-  remove few leftover declarations for G4bool Quasielastic in .icc files
   for physics lists, not used any longer

04-06-2010, G.Folger                    (phys-lists-V09-03-10)
- New ctor for G4NeutronTrackingCut
- Use new ctors in physics lists
- QGSP_FTFP_BERT becomes supported (was experimental)
- remove previously blocked lists (FTFP_EMV, QGSC_EFLOW, QGSP_EMX)
- remove obsolete lists, except QGSP ( now blocked) and QGSC_CHIPS,
   ie. removed FTFC, FTFP, LHEP_BERT_HP, LHEP_BERT, LHEP_PRECO_HP,
    QGSC_EMV, QGSC, QGSC_QGSC, QGSP_BERT_DIF, QGSP_BERT_NQE,
    QGSP_DIF, QGSP_EMV, QGSP_EMV_NQE, QGSP_NQE, QGSP_QE


04-06-2010, M. Kosov                            (phys-lists-V09-03-09)
particles're restricted to SU(3) hadrons (no pi0 & eta) in G4QElasticPhysics

04-06-2010, M. Kosov                            (phys-lists-V09-03-08)
bug fix for the virtual distructor in G4QElasticPhysics & G4QIonPhysics

03-June, V.Ivanchenko, G.Folger        (phys-lists-V09-03-07)
- Introduce new ctor for all builders with signature
    AbcPhysics::AbcPhyics(G4int ver=value);
  Existing ctor kept, but updated default arguments to avoid ambigous
   signatures. Physicslist not changed to use new ctor yet.


03-06-2010, M. Kosov                (phys-lists-V09-03-06)
- G4QElasticPhysics substitute for G4HadronQElasticPhysics in the CHIPS Physics List
- G4QIonPhysics substitute for G4IonPhysics in the CHIPS Physics ListList.

02-06-2010, V.Ivanchenko                (phys-lists-V09-03-05)
- G4EmStandardPhysics_option2 - added G4WentzelVIMscModel for e+-
- G4EmLivermorePhysics, G4EmPenelopePhysics, G4EmDNAPhysics,
  G4EmLivermorePolarizedPhysics - added G4GoudsmitSaundersonMscModel for e+-;
                                - added 1 MeV upper limit for the Livermore
                                  ionisation model (was 1 GeV)

02-06-2010, G.Folger                    (phys-lists-V09-03-04)
- revise QGSP_FTFP_BERT and FTFP_BERT to
   - Use CHIPS G4QInelastic for all "misc" particles, including
      anti-proton, anti-neutron  and hyperons.
   - Use interface to CHIPS cross sections G4QHadronInelasticDataSet
    for Kaons.
  required changes to respective HadronPhysics... classes.

26-05-2010, G.Folger                    (phys-lists-V09-03-03)
- new physics list QGSP_BERT_CHIPS: Use CHIPS G4QInelastic for all
    "misc" particles, including anti-proton, anti-neutron  and hyperons.
    Also use interface to CHIPS cross sections G4QHadronInelasticDataSet
    for Kaons.
    added classes: QGSP_BERT_CHIPS, HadronPhysicsQGSP_BERT_CHIPS, and
                   G4MiscCHIPSBuilder
    modifed G4PhysListFactory to make new list available.

19-05-2010, V.Ivanchenko                (phys-lists-V09-03-02)
- QBBC - disable multi fragmentation model of deexcitation

12-04-2010, V.Ivanchenko                (phys-lists-V09-03-01)
- LBE - Substituted obsolete G4MultipleScattering by particle wise
        msc processes

29-12-2009, V.Ivanchenko                (phys-lists-V09-03-00)
- QBBC - fixed hadron inelastic configuration; instantiated
         G4PreCompoundModel and its pointer propagated to
         all high energy models; use CHIPS for anti-protons
         to avoid crash in FTF

04-12-2009, K.Murakami                  (phys-lists-V09-02-46)
- Fixed typo in FTFP_EMV.icc for wrong call to G4WarnPLStatus.

03-12-2009, P.Kaitaniemi                (phys-lists-V09-02-45)
- QGSP_INCL_ABLA, Fix: Use Bertini cascade for kaons in the energy range 0 - 10 GeV.

30-11-2009, M.Kosov                     (phys-lists-V09-02-44)
- G4QNeutrinoPhysics - process is not created if neutrino is not simulated

28-11-2009, V.Ivanchenko                (phys-lists-V09-02-43)
- QBBC - fixed cross sections for hadron elastic

27-11-2009, G.Folger                    (phys-lists-V09-02-42)
- QGSP_BERT_TRV, change transition energies in HadronPhysicsQGSP_BERT_TRV to
   use BERT ]0,9.9], LEP [9.5, 15], QGSP [10, inf[
- QGSP_BERT_NOLEP, use G4HadronQElasticPhysics
- explicitely mark experimental: QGSP_BERT_EMX, QGSP_BERT_TRV, QGSP_FTFP_BERT,
     QGSP_INCL_ABLA
- mark as obsolete: FTFP, QGSP, QGSC, QGSC_CHIPS, QGSC_EMV, QGSC_QGSC
- mark supported ( remove experimental) :FTFP_BERT,  FTFP_BERT_EMV
- Add initial version of G4IonQMDPhysics

25-11-2009, V.Ivanchenko                  (phys-lists-V09-02-41)
- G4PhysListFactory - update list of supported referenced PhysicsLists
- QBBC - updated for the release

24-11-2009, V.Ivanchenko                  (phys-lists-V09-02-40)
- G4EmStandardPhysics_option3, G4EmLivermorePhysics, G4EmPenelopePhysics,
  G4EmLivermorePolarizedPhysics - set finalRange=10um for ions
- G4EmStandardPhysics_option2 - use default StepFunction for ions

20-11-2009, M.Kosov                       (phys-lists-V09-02-39)
- Something was wrong in CHIPS lis, but now it is working

20-11-2009, M.Kosov                       (phys-lists-V09-02-38)
- G4QAtomicPhysics and xs_dependent is excluded from the GNUmakefile's

18-11-2009, M.Kosov                       (phys-lists-V09-02-37)
- bug fix in CHIPS.icc (call for G4QCaptureAtRestPhysics)

17-11-2009, M.Kosov                       (phys-lists-V09-02-36)
- improved dependencies on CHIPS

16-11-2009, M.Kosov                       (phys-lists-V09-02-35)
- dependencies on split CHIPS-body and new class G4QCaptureAtRestPhysics

13-11-2009, M.Kosov                       (phys-lists-V09-02-34)
- two builders G4QNeutrinoPhysics & G4QPhotoNuclearPhysics with
  the G4QMessenger are added to the CHIPS physics list

10-11-2009, V.Ivanchenko                  (phys-lists-V09-02-33)
- G4EmStandardPhysics_option3, G4EmLivermorePhysics, G4EmPenelopePhysics,
  G4EmLivermorePolarizedPhysics - added G4NuclearStopping process for
                                  GenericIon, He3, alpha particles

4-11-2009, P.Gumplinger                   (phys-lists-V09-02-32)
- add G4OpticalPhysics and G4OpticalPhysicsMessenger class

3-11-2009, M.Kosov                        (phys-lists-V09-02-31)
- close the warning about not used quasiElastic

31-10-2009, V.Ivanchenko                   (phys-lists-V09-02-30)
- G4EmDNAPhysics (S.Inserti) updated combined Physics List standard/DNA

30-10-2009, V.Ivanchenko                   (phys-lists-V09-02-29)
- Review of all EM builders:
   - in all builders separate definition of processes for He3 and
     He4 ions; G4eMultipleScattering for e+, e-,
     G4MuMultipleScattering for muons;
   - G4UrbanMscModel93 for e+- for all builders except Opt0 and Opt1
   - G4WentzelVIModel for muons for all builders except Opt0 and Opt1
   - G4ParameterizedIonModel for Opt3 and all combined builders
   - StepFunction (0.1, 0.02*mm) for ions inside Opt2

30-10-2009, M.Kosov                        (phys-lists-V09-02-28)
- first implementation of the one model CHIPS physics list

08-10-2009, V.Ivanchenko                   (phys-lists-V09-02-27)
- fixed compillation problem in G4HadronPhysicsQBBC

04-10-2009, V.Ivanchenko                   (phys-lists-V09-02-26)
- modified QBBC - remove template and move QBBC.icc to QBBC.cc;
                  use a new G4VHadronPhysics interface
- G4HadroHElasticPhysics uses G4WHadronElasticProcess (the result of
   redesign of elastic) instead of G4UHadronElasticProcess
- QGSP_BERT_EMV uses G4HadroHElasticPhysics instead of G4HadroElasticPhysics

02-10-2009, V.Ivanchenko                   (phys-lists-V09-02-25)
- modified EM standard Physics Lists
G4EmStandardPhysics         - return 9.2 configuration
G4EmStandardPhysics_option1 - use ApplyCuts=true
G4EmStandardPhysics_option2 - use G4eMultipleScattering for e+-

09-09-2009, S.Incerti                      (phys-lists-V09-02-24)
- added high energy limit to e- models for better clarity in
G4EmLivermorePhysics.cc
G4EmLivermorePolarizedPhysics.cc

19-07-2009, P.Kaitaniemi                   (phys-lists-V09-02-23)
- Added INCL/ABLA physics builders for protons, neutrons, pions and light ions
- Added QGSP_INCL_ABLA physics list
- Added QGSP_INCL_ABLA to the G4PhysListFactory

08-07-2009, S.Incerti                      (phys-lists-V09-02-22)
- adapted G4EmLivermorePolarizedPhysics builder similarly to
the non polarized case

03-06-2009, G.Folger                       (phys-lists-V09-02-21)
- no code change
- use versions of phys-lists-V09-02-18 for
   builders/include/G4QGSC_CHIPSNeutronBuilder.hh
   builders/*/G4QNeutronBuilder.{hh,cc}


02-06-2009, G.Folger                       (phys-lists-V09-02-20)
- Rename HadronPhysicsFB68.{hh,cc} to HadronPhysicsFTFP_BERT_TRV.{hh,cc};
   required changes in FTFP_BERT_TRV.icc as well.
- correct typo in experimental/Unsupported names in FTF_BIC.icc and QGSP_EMX.icc

25-05-2009, M.Kosov                        (phys-lists-V09-02-19)
- Two new low energy (<290 MeV) nA CHIPS reactions are implemented in the QGSC_CHIPS
  physics list (works together with the hadr-chips-inter-V09-02-07 CHIPS tag

18-05-2009, G.Folger                       (phys-lists-V09-02-18)
- Declare several list obsolete, partially disabling use.
  Obsolete + disabled  (= remove)
     FTF_EMV,   replacment FTFP_BERT_EMV
     QGSC_EFLOW, replacment QGSC_CHIPS
     QGSP_EMX, replacment QGSP_BERT_EMX
  Obsolete:
     FTFC
     LHEP_BERT, LHEP_BERT_HP, LHEP_PRECO_HP
     QGSP_BERT_DIF, QGSP_BERT_NQE, QGSP_DIF, QGSP_EMV, QGSP_EMV_NQE,
     QGSP_NQE, QGSP_QEL

11-05-2009, V.Ivanchenko phys-lists-V09-02-17
- Added new PhysLists with special EM options: FTFP_BERT_EMV,
  FTFP_BERT_EMX, QGSP_BERT_EMX, QGSP_BIC_EMY (opt3 EM physics)
- Renamed FB68 to FTFP_BERT_TRV
- G4PhysicsListFactory - updated list of supported PhysLists

10-05-2009, V.Ivanchenko phys-lists-V09-02-16
G4EmStandardPhysics, G4EmStandardPhysics_option1 - use 9.2 msc
                                                   model for e+-
G4EmStandardPhysics_option2 - use G4WentzelVIModel for e+-
G4EmStandardPhysics_option3 - use updated G4UrbanMscModel2 and
                              use G4RayleighScattering
G4EmLivermorePhysics - upper limit of Livermore models 1 GeV

23-04-2009, J.Apostolakis phys-lists-V09-02-15
- Added MaxEnergy method in FTF builders.
- Added QGSP_FTFP_BERT based on QGSP_BERT replacing the bridging LEP with FTFP,
  and transitioning from BERT to FTFP between 7 and 9 GeV;
- Added FB68 as variant of FTFP_BERT with transition between 6 and 8 GeV.

20-04-2009, M.Kosov phys-lists-V09-02-14
- Two new physics lists QGSC_QGSC and QGSC_CHIPS are added.
- QGSC_QGSC physics list uses the QGS model with the MultySoft
  interface to CHIPS at all energies, starting from E=0. For neutrons
  it still uses LHEP models for the radiativ capture and fission.
- QGSC_CHIPS physics list uses the QGS model with the EnergyFlow
  interface to CHIPS at all energies. For the pA interactions the
  native CHIPS process G4QCollision is used below 290 MeV. The QGSC and
  G4QCollision processes are joined in one process by the CHIPS
  G4QDiscProcessMixer interface.
- The corresponding physics builders are added.

17-04-2009, V.Ivanchenko phys-lists-V09-02-12
- Restore History after modification of CHIPS builders
- Fixed G4EmLivermorePhysics, G4EmPenelopePhysics
- Added new CHIPS PhysLists to the G4PhysListFactory
- Fixed G4HadronInelasticQBBC - cross sections are created by new,
  not by value, fission only instantiated for HP

31-03-2009, V.Ivanchenko phys-lists-V09-02-05
- To fix bug #1056 all cross section data sets are included not as a
  member of classes but created by new
- inline constructor and destructors are moved to source for classes:
  G4VNeutronBuilder, G4VPiKBuilder, G4VProtonBuilder, G4WarnPLStatus

26-03-2009, S.Incerti phys-lists-V09-02-04
- Added builders for Livermore and Penelope physics processes:
  G4EmLivermorePhysics, G4EmLivermorePolarizedPhysics, G4EmPenelopePhysics.

25-03-2009, S.Incerti phys-lists-V09-02-03
- Added builder for DNA physics processes: G4EmDNAPhysics.

12-03-2009, V.Ivanchenko phys-lists-V09-02-02
- HadronPhysicsQGSC: fixed crash at destruction.

16-02-2009, V.Ivanchenko phys-lists-V09-02-01
- G4IonBinaryCascadePhysics: use Shen cross section only if Tripathi is
  not applicable (fixed order of x-sections).
- G4HadronInelasticQBBC: use G4StringChipsParticleLevelInterface instead of
  obsolete G4StringChipsInterface.

05-02-2009, V.Ivanchenko phys-lists-V09-02-00
- G4MiscLHEPBuilder: create processes by "new" in order to have proper
  deletion at the end of job.

05-12-2008, G.Cosmo phys-lists-V09-01-20
- Added missing dependency to "run" category in GLOBLIBS for DLL parsing
  induced by G4PhysicsListFactory which now brings in dependency on
  G4VModularPhysicsList.

01-12-2008, V.Ivanchenko phys-lists-V09-01-19
- G4HadronElasticPhysics: fixed adding optional Barashenkov Xsection
  QBBC - added QBBBG option

21-11-2008, V.Ivanchenko phys-lists-V09-01-18
- Added sigma_c+, sigma_c++ in the list of stable hadrons
- added interfaces to G4PhysicsListFactory - ALICE requirement

20-11-2008, V.Ivanchenko phys-lists-V09-01-17
- Added charge exchange process to QBBC Physics Lists

17-11-2008, V.Ivanchenko phys-lists-V09-01-16
- Added names to string models builders

14-11-2008, V.Ivanchenko phys-lists-V09-01-15
G4EmStandardPhysics_option1 - disable ApplyCuts option
G4EmStandardPhysics_option3 - linLossLimit set to be default (0.01)
G4PhysicsListFactory - added QBBCG

15-10-2008, V.Ivanchenko phys-lists-V09-01-14
In all EM builders - set inactive for AlongStep for bremsstrahlung and pair
                     production porcesses for minor CPU improvenment

15-10-2008, V.Ivanchenko phys-lists-V09-01-13
In all EM builders: added hadron bemsstrahlung and e+e- pair production
  and e-msc for e+-;
G4EmStandardPhysics_option2 - enable "ApplyCuts", disable "SubCutoff"
G4EmStandardPhysics_option3 - added G4LowEnergyRayleigh, set 120 bins
  for tables (60 is the default), StepFunction per particle type

24-09-2008, V.Ivanchenko phys-lists-V09-01-12
- QBBC temporary variant which is equivalent QGSP_BERT without LHEP
  for protons, neutrons and pions

17-09-2008, V.Ivanchenko phys-lists-V09-01-11
- G4NeutronTrackingCut - added Set methods to define time and energy
                         limits directly
- G4HadronInelasticQBBC, QBBC - use FTF with Binary Casacde, improved cout

04-08-2008, V.Ivanchenko phys-lists-V09-01-10
- G4EmStandardPhysics_option2 : use mu-msc for all particles,
	                        switch off "subcut" option,
                                switch on "ApplyCuts" option
- G4EmStandardPhysics_option3 : use e-msc for all particles,
	                        switch off subcutoff
- QBBC - use FTF as a default, remove obsolete methods

30-4-2008, G.Folger      phys-lists-V09-01-09
- Update lists/include/FTF*.icc and lists/include/HadronPhysicsFTF*.icc
   to NOT use Quasielastic from Chips, as FTF now has quasi-elastic included
   in the FTF model itsself.

30-05-2008, V.Ivanchenko phys-lists-V09-01-08
- GNUmakefile - added electromagnetic/highenergy
- G4EmStandardPhysics_option3 : define linLossLimit per particle type
- G4EmStandardPhysics_option2 : define linLossLimit 0.01,
                added hadron induced bremsstrahlung and pair production

19-05-2008, V.Ivanchenko phys-lists-V09-01-07
- removed obsolete class G4HadronProcessStore (similar is available
  in processes/hadronic/management)

30-4-2008, G.Folger      phys-lists-V09-01-06
- Fix delete using uninitialized pointers in FTF-BIC, in
   HadronPhysicsFTF_BIC.{hh,cc},  G4FTFBinaryNeutronBuilder.{hh,cc} and
   G4LEPNeutronBuilder.cc
- Remove QGSP_BIC2 and QGSP_CASC lists, and related files.


29-04-2008, V.Ivanchenko phys-lists-V09-01-05
- fixed link problem

25-04-2008, V.Ivanchenko phys-lists-V09-01-04
- Added D and B mesons to all EM bulders G4EmStandardPhysics*
- QBBC - fixed compillation warning
- G4EmStandardPhysics_option2,3 - use spline for Physics Tables
- G4PhysListFactory - new helper class for building PhysList

26-03-2008, V.Ivanchenko phys-lists-V09-01-03
26-03-2008, mma
- G4EmStandardPhysics_option3 : SetStepFunction() per particle type

18-03-2008, V.Ivanchenko phys-lists-V09-01-02
17-03-2008, mma
- cosmetic in G4EmStandardPhysics_ to handle G4EmProcessOptions

13-03-2008, V.Ivanchenko phys-lists-V09-01-01
- Added new builder G4EmStandardPhysics_option3

08-01-2008, V.Ivanchenko phys-lists-V09-01-00
- G4EmExtraPhysics - fixed bug #993 (swap of synkrotron radiation
  and mu-nuclear activation).

16-11-2007, G.Folger      phys-list-V09-00-12
- New PL QGSP_BERT_DIF; as QGSP_BERT with projectile diffraction for proton
  and neutron enabled.

26-11-2007, V.Ivanchenko phys-lists-V09-00-11
- QBBC - fixed bug in adding of cross section for pions

16-11-2007, G.Folger      phys-list-V09-00-10
- New PL FTF_BIC. Equivalent to QGS_BIC. For pions LEP is not used, as BIC is
    used up to 5 GeV, thus overlapping with FTF starting at 4 GeV.

15-11-2007, V.Ivanchenko phys-lists-V09-00-09
- added a possibility to activate G4SynchrotronRadiation and mu-nuclear
  betwen runs;
- G4HadronHElasticPhysics - fixed name;
- QBBC - tuned energy thresholds between string and cascade models

15-11-2007, G.Folger      phys-list-V09-00-08
- New PL QGSC_BERT; use QGSC down to overlap with BERT. LEP not used
   for proton,neutron,pions,Kaons, except neutron capture and neutron
   induced fission

15-11-2007, V.Ivanchenko phys-lists-V09-00-07
- fixed QBBC Physics List for pi and K mesons

15-11-2007, V.Ivanchenko phys-lists-V09-00-06
- G4RadioactiveDecayPhysics optional builder is added
- QBBC Physics List use correct interface to CHIPS

14-11-2007, V.Ivanchenko phys-lists-V09-00-05
- G4HadronDElasticPhysics - fixed run time bug - added low-energy model
- QBBC options are reviewed and left: QBBC, QBBC_DEL,QBBC_HEL, QBBC_HP

13-11-2007, V.Ivanchenko phys-lists-V09-00-04
- G4HadronDElasticPhysics is added
- QBBC Physics List upgraded for 9.1

13-11-2007, G.Folger      phys-list-V09-00-03
- Enable use of projectile diffraction in QGSP-like lists, and create
   new list using projectile diffraction QGSP_DIF
- New PL QGS_BIC; like QGSP_BIC, but use binary also for pion and for
    rescattering via the propagate interface; the deexcitation implicitely
    uses precompound.

31-10-2007, G.Folger      phys-list-V09-00-02
- New PL QGSP_BIC2: like QGSP_BIC, but use BIC for low energy pions

19-10-2007, G.Folger      phys-list-V09-00-01
- New PL FTFP_BERT: FTFP with Bertini cascade. Crossover from Bertini
     to FTFP at 4-5 GeV. No LEP for inelastic for p,n,pi,K.
-  G4LEPNeutronBuilder.cc: when limit for MaxInelastic is 0, do NOT add
     LEP for inelastic; needed by above FTFP_BERT.

02-10-2007, V.Ivanchenko phys-lists-V09-00-00
- G4EmStandardPhysics_option2 - increase number of bins in tables in
                                two times

27-06-2007, G.Cosmo      phys-lists-V08-03-07
- Updated G4DataQuestionaire to change NeutronHPCrossSections with
  G4NEUTRONHPDATA environment variable.

11-06-2007, V.Ivanchenko phys-lists-V08-03-06
- G4EmStandardPhysics_option1 - substitute name "G4v71" by "Minimal"

01-06-2007, V.Ivanchenko phys-lists-V08-03-05
- in QBBC.icc use consistent cross sections for elastic and inelastic

01-06-2007, G.Folger     phys-lists-V08-03-04
- active Quasielastic for FTF lists. Required changes to lists/*/HadronPhysicsFTF*,
   and builders/*/G4FTF*Builder.*
- lower threshold for FTF: FTF starts at 4.0 GeV, overlaps with LEP up to 5.0 GeV

24-05-2007, G.Folger     phys-lists-V08-03-03
- remove obsolete physics lists LHEP_HP, QGSP_HP, LHEP_BIC,
   LHEP_BIC_HP, LHEP_PRECO.
- remove physics lists using Mars leading particle classes (*LEAD*).
- QGSP_BIC_HP is no longer experimental
- Increment PACK version number

23-05-2007, V.Ivanchenko phys-lists-V08-03-02
- add G4QEmExtraPhysics for gamma, e+-, mu+- nuclear CHIPS

18-05-2007, V.Ivanchenko phys-lists-V08-03-01
- remove obsolete G4EmStandardPhysics72 and G4EmStandardPhysics71
- use new commands for G4EmStandardPhysics_option1,2

16-05-2007, V.Ivanchenko phys-lists-V08-03-00
-  Create new builders G4EmStandardPhysics_option1 from G4EmStandardPhysics71
   G4EmStandardPhysics_option2 from G4EmStandardPhysics72
-  Remove definition of name of EM constructor from all PL.icc files, now
   name of EM constructor defined inside the constructor itself.

07-05-2007, G.Folger     phys-lists-V08-02-12
-  Add QGSP_BERT_TRV; copy of QGSP_BERT, but change to BERT occurs at
    (5.0 - 5.4) GeV for proton/neutron/pion/Kaon
-  Increase Pack version number to 5.2

02-05-2007, V.Ivanchenko phys-lists-V08-02-11
-  Fix bug in EMV seria of Physics Lists - restore high performance

26-04-2007, G.Folger     phys-lists-V08-02-10
 - For QGSC, QGSC_EMV, and QGSC_EFLOW enable use of G4QCaptureAtRest()
   also for muons. Mods needed in G4QStoppingPhysics as well.

26-04-2007, G.Folger     phys-lists-V08-02-09
 - Modifications for Quasielastic. Added to all QGS physics lists execpt
    the two obsolete QGSC_LEAD/QGSC_LEAD_HP. This also required adapting of
    - HadronsPhysicsXYZ
    - {QGSP;QGSC;QGSC_EFLOW}{Neutron,Proton,PiK}Builder
 - removed unneeded HadronPhysics...{EMV,EMX}; HadronPhysicsLHEP_EMV stays,
    as this differs in stopping

16-04-2007, V.Ivanchenko phys-lists-V08-02-08
-  QBBC Physics Lists adopt recent upgrades in QGS and FTF

02-04-2007, G.Folger     phys-lists-V08-02-07
-  Correct compilation problem with QGSP.icc

30-03-2007, G. Folger    phys-lists-V08-02-06
-  Add quasielastic in QGSP; this requiredchanges to
   - QGSP{proton,Neutron,PiK}Builder adds QuasiElasticChannel on conditional
     flag
   - HadronPhysicsQGSP passes flag (default=false) to Builders
   - QGSP uses flag to include quasielastic
- new list QGSP_NQSE is copy of QGSP without quasielastic

27-03-2007, V.Ivanchenko phys-lists-V08-02-05
-  G4EmStandardPhysics72 use skin=0 (no ComputeStep)
-  G4HadronHElasticPhysics uses new cross section classes G4BGGNucleonElasticXS
   and G4BGGPionElasticXS (V.Ivanchenko)

01-03-2007, V.Ivanchenko phys-lists-V08-02-04
-  G4EmStandardPhysics and G4EmStandardPhysics71 use skin=0 (no ComputeStep)

20-02-2007, V.Ivanchenko phys-lists-V08-02-03
- G4HadronElasticPhysics set limits on low energy and QElastic to zero

13-02-2007, V.Ivanchenko phys-lists-V08-02-02
-  G4EmStandardPhysics - remove extra printout

13-02-2007, V.Ivanchenko  phys-lists-V08-02-01
-  G4EmStandardPhysics - use G4hMultipleScattering for muons
-  G4EmStandardPhysics72 use default msc

13-02-2007, A.Howard
-  Added set min/max Energy and Inelastic Energy to NeutronHP builder
-  Fixed special cuts for LBE physics list

15-12-2006, G.Folger  -    phys-lists-V08-02-00
-  Fix in QGSP_BIC_HP: use HP elastic in this list ( thanks to Alex)

05.12.2006, G.Folger  -    phys-lists-V08-01-13
 - add QGSC_EFLOW, using new energy flow method for CHIPS; consequently,
   HadronPhysicsQGSC_EFLOW and builders G4QGSCEflow{Proton,Neutron,PiK}Builder
   added as well.
   QGSC changed to use G4QStringChipsParticleLevelInterface via the builders
   G4QGS{Proton,Neutron,PiK}Builder; this emulates 8.1 modeling.

05.12.2006, G.Cosmo
 - GNUmakefile: added definition of GLOBLIBS with correct library
   dependencies to allow for generation of DLLs on Windows.

29.11.2006, G.Folger  -    phys-lists-V08-01-12
 - in G4HadronQElasticPhysics initialize wasActivated in ctor

28.11.2006, G.Folger  -    phys-lists-V08-01-11
 - add QGSP_QEL, i.e QGSP with chips elastic

24.11.2006, G.Folger  -    phys-lists-V08-01-10
 - add QGSC_EMV and QGSP_BIC_HP
 - correct neutron tracking cut
 - various small fixes
 - update versions numbers

21.11.2006, G.Folger  -    phys-lists-V08-01-09
 - add warning to obsolete physics lists
   (LHEP: _HP, _BIC, BIC_HP, _PRECO, QGSP_HP)
 - add neutron tracking cut to QGSP and FTF lists without _HP extension
03.11.2006, G.Folger  -    phys-lists-V08-01-08
- Move physics lists into source tree
- Simplify directory/library structure
- delete 2 _GN lists - added for G4 8.1 by mistake,

05.10.2006, V.Ivanchenko - phys-lists-V08-01-07
- QBBC - use LHEP cross section if LHEP option is configured

26.09.2006, V.Ivanchenko - phys-lists-V08-01-06
- QBBC physics lists - add an option to use Glauber-Gribov cross sections

15.08.2006, V.Ivanchenko - phys-lists-V08-01-05
- G4NadronElasticPhysics - move includes from .cc to .hh

10.08.2006, V.Ivanchenko - phys-lists-V08-01-04
- G4NadronElasticPhysics - configure neutrons separately
  from other hadrons
- G4HadronProcessStore - implement computation of cross sections

26.07.2006, V.Ivanchenko - phys-lists-V08-01-03
- Return pLimit= 20 MeV/c

24.07.2006, V.Ivanchenko - phys-lists-V08-01-02
- Fix - add G4NeutronHPElasticData in the PL, not inside the process
- Use pLimit=60 MeV/c instead of 20 MeV/c

14.07.06, G.Folger       - phys-lists-V08-01-01
- Correct flag for HP in G4HadronElasticPhysics() to true for
  LHEP_HP and QGSP_HP

05.07.2006, V.Ivanchenko - phys-lists-V08-01-00
- Fix initialisation problem for QBBC_HP
- Fix HP regime for G4NadronElasticPhysics
- Add cout of the list of processes and models for QBBC

24.06.2006, V.Ivanchenko - phys-lists-V08-00-15
- Fix typo in BinaryIon builder

23.06.2006, V.Ivanchenko - phys-lists-V08-00-14
- Fixed activation of LHEp for ions

23.06.2006, V.Ivanchenko - phys-lists-V08-00-13
- Set dRoverRange=0.8 for EM physics v71
- Set emaxLHEP=1 TeV for light ions

21.06.2006, V.Ivanchenko - phys-lists-V08-00-12
- In QGSP_EMV use EM physics v71
- Create new  QGSP_EMX and use EM physics v72

21.06.2006, G.Folger
-  Update physics list version nyumbers, add 0.1 to all modified lists

20.06.2006, G.Folger - phys-lists-V08-00-11
- Use Bertini cascade for Kaons (K+,K-, K0L, k0S)
- Add Binary Cascade for Ions to BIC PhysicsLists (VI)

20.06.2006, V.Ivanchenko - phys-lists-V08-00-10
- Add mu-nuclear option to G4EmExtraBuilder
- Add commands to G4EmMessenger

17.06.2006, G.Folger - phys-lists-V08-00-09
- Remove remaining elastic pointers from LHEP builders to
  avoid crash at destruction

16.06.2006, V.Ivanchenko - phys-lists-V08-00-08
- Propose more fast EM option QGSP_EMV

16.06.2006, V.Ivanchenko - phys-lists-V08-00-07
- Fix link problem

15.06.2006, V.Ivanchenko - phys-lists-V08-00-06
- Update QGSP_EMV
- Propose G4EmStandardPhysics72 as a fast EM physics

15.05.2006, G.Folger     - hadr-lists-V08-00-05
- Move elastic out of G4Neutron/Proton/PIK- Builder, and use
   G4HadronElasticPhyics directly in PL

14.06.2006, V.Ivanchenko - phys-lists-V08-00-04
- Fix bug in G4QStoppingPhysics
- Use G4QStoppingPhysics in QBBC

08.06.2006, V.Ivanchenko - phys-lists-V08-00-03
- Migrade stopping physics to CHIPS for all except LBE and LHEP
- HadronPhysicsQGSP_GN - fix name of the builder

06.06.2006, V.Ivanchenko - phys-lists-V08-00-02
- Fix compilation error at SUN
- Use Bertini for kaons in QBBC

03.06.2006, V.Ivanchenko - phys-lists-V08-00-01
- Fix number of destructors
- add QBBC subdirectory

02.06.2006, V.Ivanchenko - phys-lists-V08-00-00
- Exclude physics_list/electromagnetic subdirectory
- Fix destructor for G4MiscLHEPBuilder
- Fix problem in destructors of G4DecayPhysics and G4ElectroNuclearBuilder
- Fix typo in LHEP PhysicsList
- fix minor typo in G4EmMessenger
- rename G4EmStandardPhysics71 ->G4EmStandardPhysics72;
- define StepFunction of e+ and e- (1.0, 1.0*mm) for G4EmStandardPhysics71
  in order to have backward compatibility with the previous release

02.12.2005, G.Folger & V.Ivanchenko - phys-lists-V07-01-01
- Includes tags: emphys-V07-01-01 and hadr-lists-V07-01-02.
- Implemented migration of physics lists to non static particles scheme.

02.08.2005, G.Cosmo - phys-lists-V07-01-00
- Corrected README of hadronic lists for build instructions.

13.12.2004, G.Cosmo - phys-lists-V06-02-00
- Imported hadronic lists and electromagnetic lists from top-level.
- Created.
